#############################                                                                                                                                                                       
#                    		VARIABLES	                   #                                                                                                                                                                        
#############################

##DB
hide pgsql_servers = (/tmp/.s.PGSQL.5432)/exim/exim/exim)
spamd_address = /var/run/spamd.sock

## MAIN  - SQLITE
DB_TYPE = sqlite
DB_NOW = datetime('now', 'localtime')
SQLITE_FILE_DATA = /media/sysdata/in4/context/_generated/landscape/services--c/mail--o/mta--f/exim/mta.sqlite
SQLITE_FILE_ML = /etc/exim/ml.sqlite
#
##MAIN - PG
#DB_TYPE = pgsql
#DB_NOW = extract(epoch from now()::timestamptz(0))
#SQLITE_FILE_RCP = 
#SQLITE_FILE_ML = 



##LIMITS
message_size_limit = 50M
smtp_accept_max = 5000
smtp_accept_max_per_connection = 100
smtp_accept_max_per_host = 5000
smtp_connect_backlog = 2000
smtp_receive_timeout = 10m

DELIVER_IN_BUFFER_SIZE=1024
DELIVER_OUT_BUFFER_SIZE=1024
HEADER_ADD_BUFFER_SIZE=4096
#(x*4)
HEADER_MAXSIZE=1048576
#(x*1024)
STRING_SPRINTF_BUFFER_SIZE=4096
#(x*4)

## RULES
RULES__default_score = 10
                                                                                                                                                                                             
#############################                                                                                                                                                                       
#                    		MAIN		                   #                                                                                                                                                                        
#############################                                                                                                                                                                       
                                                                                                                                                                                                                                            
local_interfaces = 127.0.0.1
disable_ipv6 = true
exim_user = mail
exim_group = mail
never_users = root
smtp_enforce_sync = yes
smtp_banner = $smtp_active_hostname ESMTP In4 MTA
domainlist local_domains  = 127.0.0.1
hostlist   local_networks = 10.0.0.0/8 : 192.168.0.0/16 : 127.0.0.0/8
delay_warning = 1h:12h
queue_run_max = 100
smtp_ratelimit_mail = 2,0.5s,1.05,30s
smtp_ratelimit_rcpt = 4,0.25s,1.015,30s
auth_advertise_hosts = ${if eq {$tls_cipher}{}{}{*}} 
keep_environment=PWD
recipients_max=500

## TLS
tls_advertise_hosts = *
tls_require_ciphers = AES128+EECDH:AES128+EDH
openssl_options = +no_sslv2 +no_sslv3

CERTPATH = /media/sysdata/in4/context/secure/certs/external
tls_certificate = ${if exists{CERTPATH/${tls_sni}.pem}{CERTPATH/${tls_sni}.pem}{CERTPATH/default.pem}}
tls_privatekey  = ${if exists{CERTPATH/${tls_sni}.key}{CERTPATH/${tls_sni}.key}{CERTPATH/default.key}}

##

##openssl_options - FOR FUTURE 
#############################                                                                                                                                                                       
#	  	         CHECKS				   #                                                                                                                                                                        
#############################

rfc1413_hosts = *
rfc1413_query_timeout = 5s

##Specially for russian KOI clients
accept_8bitmime = false

#############################                                                                                                                                                                       
#                    	BOUNCE/FROZEN	          #                                                                                                                                                                        
#############################
ignore_bounce_errors_after = 20m
timeout_frozen_after = 3d
split_spool_directory = true
bounce_return_message = true
bounce_return_body = true
bounce_return_size_limit = 20K

#############################                                                                                                                                                                       
#                    		ACL		                   #                                                                                                                                                                        
#############################
                                                                                                                                                                                                                                                                                                     
acl_smtp_connect    = acl_1_check_connect    
#acl_smtp_starttls   = acl_1_5_starttls
acl_smtp_mail           = acl_2_check_mail                                                                                                                                                                                                              
acl_smtp_rcpt            = acl_3_check_rcpt                                                                                                                                                                                                              
acl_smtp_predata     = acl_4_check_predata                                                                                                                                                                                                        
acl_smtp_mime         = acl_5_check_mime
acl_smtp_data           = acl_6_check_data       
acl_smtp_quit = acl_check_quit
acl_smtp_notquit = acl_check_notquit

#############################                                                                                                                                                                       
#                    		FILTERS		                   #                                                                                                                                                                        
#############################

system_filter_pipe_transport	= address_pipe
system_filter_user		= mail
system_filter_group		= mail

#############################                                                                                                                                                                       
#                    		?????		                   #                                                                                                                                                                        
#############################

#smtp_active_hostname
#dnslists timeouts

#############################                                                                                                                                                                       
#                    		LOGGING		          #                                                                                                                                                                        
#############################
log_file_path=syslog
syslog_duplication = false
SYSLOG_LONG_LINES=yes
syslog_facility = local7
syslog_timestamp = false
log_selector = +all -pid                

#############################                                                                                                                                                                       
#                    		GLOBAL LISTS		  #                                                                                                                                                                        
#############################
localpartlist spamtrap_address = spamtrap-:honeypot-

#############################                                                                                                                                                                       
#                    		GREYLIST		           #                                                                                                                                                                        
#############################
#12 MINUTE
GREYLIST_INITIAL_DELAY         = 720
#4 HOUR
GREYLIST_INITIAL_LIFETIME      = 14400
#36 DAY
GREYLIST_WHITE_LIFETIME        = 3110400
#7 DAY
GREYLIST_BOUNCE_LIFETIME       = 604800
#3 DAY
GREYLIST_RECORD_LIFETIME       = 259200
GREYLIST_CLEAR_LIFETIME        = 90
#GREYLIST_ENABLED_LOG           = yes

                
#####

received_header_text = Received: \
  from undisclosed IP/Helo \
  by $primary_hostname \
  ${if def:received_protocol {with $received_protocol}} \
  ${if def:tls_in_cipher {($tls_in_cipher)\n\t}}\
  (In4)\n\t\
  ${if def:sender_address \
  {(envelope-from <$sender_address>)\n\t}}\
  id $message_exim_id\
  ${if def:received_for {\n\tfor $received_for}}
  
  
####
